@echo off
setlocal

echo ----------------------
echo Building all launchers
echo ----------------------

echo [Agilitest         ]
call buildlauncher.bat Agilitest
echo [Ant         ]
call buildlauncher.bat Ant
echo [AutoIt         ]
call buildlauncher.bat AutoIt
echo [Bat            ]
call buildlauncher.bat Bat
echo [Bat with params]
call buildlauncher.bat Bat_with_params
echo [BeanShell      ]
call buildlauncher.bat BeanShell
echo [Cerberus       ]
call buildlauncher.bat Cerberus
echo [Cucumber       ]
call buildlauncher.bat Cucumber
echo [Cucumber_v2    ]
call buildlauncher.bat Cucumber_v2
echo [eTASQ          ]
call buildlauncher.bat eTASQ
echo [Exe            ]
call buildlauncher.bat Exe
echo [FitNesse       ]
call buildlauncher.bat FitNesse
echo [gatling        ]
call buildlauncher.bat gatling
echo [Generic        ]
call buildlauncher.bat Generic
echo [Generic VC     ]
call buildlauncher.bat bat_with_params
echo [Gradle         ]
call buildlauncher.bat Gradle
echo [GIT            ]
call buildlauncher.bat Git
echo [Jar            ]
call buildlauncher.bat Jar
echo [Java           ]
call buildlauncher.bat Java
echo [JMeter         ]
call buildlauncher.bat JMeter
echo [JMeter SQL     ]
call buildlauncher.bat JMeter_SQL
echo [JMeter Web     ]
call buildlauncher.bat JMeter_Web
echo [JUnit          ]
call buildlauncher.bat JUnit
echo [Katalon        ]
call buildlauncher.bat Katalon
echo [Katalon_v2     ]
call buildlauncher.bat Katalon_v2
echo [Marathon       ]
call buildlauncher.bat Marathon
echo [Maven          ]
call buildlauncher.bat Maven
echo [Mocha          ]
call buildlauncher.bat Mocha
echo [NeoLoad        ]
call buildlauncher.bat NeoLoad
echo [NUnit          ]
call buildlauncher.bat NUnit
echo [Odin Axe       ]
call buildlauncher.bat Odin_Axe
echo [Odin Axe Res.  ]
call buildlauncher.bat Odin_Axe_Results
echo [Offline Generic]
call buildlauncher.bat Offline_Generic
echo [protractor     ]
call buildlauncher.bat protractor
echo [Proxy          ]
call buildlauncher.bat proxy
echo [Perl           ]
call buildlauncher.bat Perl
echo [PHP Unit       ]
call buildlauncher.bat PhpUnit
echo [Postman        ]
call buildlauncher.bat Postman
echo [PyUnit         ]
call buildlauncher.bat PyUnit
echo [PyTest         ]
call buildlauncher.bat PyTest
echo [Python         ]
call buildlauncher.bat Python
echo [QF-Test        ]
call buildlauncher.bat QFTest
echo [QTP            ]
call buildlauncher.bat QTP
echo [Random         ]
call buildlauncher.bat Random
echo [Ranorex        ]
call buildlauncher.bat Ranorex
echo [Rapise         ]
call buildlauncher.bat Rapise
echo [Robot Framework]
call buildlauncher.bat Robot_Framework
echo [Robot Framework v2]
call buildlauncher.bat Robot_Framework_v2
echo [Robot Framework v3]
call buildlauncher.bat Robot_Framework_v3
echo [Robot Framework v4]
call buildlauncher.bat Robot_Framework_v4
echo [Sahi           ]
call buildlauncher.bat Sahi
echo [Sahi35         ]
call buildlauncher.bat Sahi35
echo [Sahi40         ]
call buildlauncher.bat Sahi40
echo [Sahi60         ]
call buildlauncher.bat Sahi60
echo [Selenese       ]
call buildlauncher.bat Selenese
echo [Selenium Java  ]
call buildlauncher.bat Selenium_Java
echo [Selenium HTML  ]
call buildlauncher.bat Selenium_HTML
echo [Selenium3 HTML  ]
call buildlauncher.bat Selenium3_HTML
echo [Selenium .NET  ]
call buildlauncher.bat Selenium_dotNET
echo [Selenium Python]
call buildlauncher.bat Selenium_Python
echo [Shell          ]
call buildlauncher.bat Shell
echo [Sikuli         ]
call buildlauncher.bat Sikuli
echo [SikuliX        ]
call buildlauncher.bat SikuliX
echo [SilkTest       ]
call buildlauncher.bat SilkTest
echo [SoapUI         ]
call buildlauncher.bat SoapUI
echo [SoapUI_Load    ]
call buildlauncher.bat SoapUI_Load
echo [SoapUI_Security]
call buildlauncher.bat SoapUI_Security
echo [SOATest        ]
call buildlauncher.bat SOATest
echo [SQL Compare    ]
call buildlauncher.bat SQL_Compare
echo [SQL Select     ]
call buildlauncher.bat SQL_Select
echo [Squish         ]
call buildlauncher.bat Squish
echo [Success        ]
call buildlauncher.bat Success
echo [SVN        ]
call buildlauncher.bat Svn
echo [Tape           ]
call buildlauncher.bat Tape
echo [TCL            ]
call buildlauncher.bat TCL
echo [TestComplete   ]
call buildlauncher.bat TestComplete
echo [TestComplete_v2]
call buildlauncher.bat TestComplete_v2
echo [TestExecute    ]
call buildlauncher.bat TestExecute
echo [TestExecute_v2 ]
call buildlauncher.bat TestExecute_v2
echo [TestNG         ]
call buildlauncher.bat TestNG
echo [TestOptimal    ]
call buildlauncher.bat TestOptimal
echo [TestOptimal_Simple ]
call buildlauncher.bat TestOptimal_Simple
echo [TestPartner    ]
call buildlauncher.bat TestPartner
echo [TestStand      ]
call buildlauncher.bat TestStand
echo [VisualStudio   ]
call buildlauncher.bat VisualStudio
echo [CodedUI        ]
call buildlauncher.bat visualstudio_codedui
echo [WAPT           ]
call buildlauncher.bat WAPT
echo [WebdriverIO    ]
call buildlauncher.bat WebdriverIO
echo [WebUI          ]
call buildlauncher.bat WebUI
echo [xci            ]
call buildlauncher.bat xci
echo [xUnit.net      ]
call buildlauncher.bat xUnit_dotnet

